Inhoud

# Functie Log (BASIC)

Geeft de natuurlijke logaritme van een getal terug.

### Syntaxis:

    Log (Getal)

### Retourtype:

Double

### Parameters:

Getal: Een numerieke expressie waaruit de natuurlijke logaritme berekend moet worden.

De natuurlijk logaritme is de logaritme van de basis e. Basis e is een constante met de benaderde waarde 2.718282...

U kunt logaritmen berekenen van een willekeurige basis (n) voor een willekeurig getal (x) door het natuurlijke logaritme van x door het natuurlijke logaritme van n te delen. Zo gaat u te werk:

Logn(x) = Log(x) / Log(n)

### Foutcodes:

5 Ongeldige aanroep van procedure

### Voorbeeld:

    Sub ExampleLogExp
    Dim a As Double
    Dim Const b1=12.345e12
    Dim Const b2=1.345e34
        a=Exp( Log(b1)+Log(b2) )
        MsgBox "" & A & Chr(13) & (b1*b2) ,0,"Vermenigvuldiging met logaritmische functie"
    End Sub